/*
Przykład obsługi generatora PWM
Jasność świecenia diody LED4 zalezna jest od napiecia zmierzonego z potencjometru
Dioda LED3 pulsuje czyli zmienia jasnosc od najmniejszej do najwiekszej i odwrotnie
*/

const int Led3 =  11;         //przypisanie aliasów do pinów portów
const int Led4 =  10;         //przypisanie aliasów do pinów portów

int wart = 0;   //zmienna pomocnicza

void setup() {            //funkcja inicjalizacji
  analogReference(DEFAULT);   //konfiguracja napiecia odniesienia dla przetwornika A/C - domyslnie napieciem odniesienia jest 5V.
}

void loop() {                //petla glowna programu
  for (int i = 0; i < 256; i++)   //petla wykonywana 255 razy gdzie i zmienia wartosc od 0 do 255
  {
    analogWrite(Led4, i);     //zapisanie poziomu wypelnienia sygnalu PWM ze zmiennej i
    delay(1);         //opoznienie
  }
  for (int i = 255; i > 0; i--)    //petla wykonywana 255 razy gdzie i zmienia wartosc od 255 do 0
  {
    analogWrite(Led4, i); //zapisanie poziomu wypelnienia sygnalu PWM ze zmiennej i
    delay(1);  //opoznienie
  }
  wart =  analogRead(A0);     //pomiar napiecia z potencjometru ktorego wartosc zapisywana jest do zmiennej wart
  analogWrite(Led3, wart / 4);   //zapisanie poziomu wypelnienia sygnalu PWM diody Led3 odczytanego z potencjometry i jego podziale przez 4
}                                      //koniec petli glownie programu


