

#ifndef PCF8583_H
#define PCF8583_H

#include <inttypes.h>

#define byte uint8_t

class PCF8583 {
    int address;
  public:
    int second;
    int minute;
    int hour;
    int day;
    int month;
    int year;
    int year_base;

	void get_adr(int device_address);	
    void get_time();
    void set_time();
    int bcd_to_byte(byte bcd);
    byte int_to_bcd(int in);
};

#endif  //PCF8583_H
