//Tablica kodów ASCII wysyłana przez RS232
//Komunikacja poprzez interfejs RS232 

void setup() //procedura konfiguracyjna
{ 
  Serial.begin(9600);   //konfiguracja predkosci transmisji
  Serial.println("Tablica kodow ASCII"); //wyslanie tekstu
} 

int bajt = 33;  //zmienna kodow ASCII z wartoscia poczatkowa tablicy 33

void loop()  //procedura programu glownego 
{ 
  while(bajt<127)  //petla wykonywana az zmienna bajt ma wartosc mniejsza od 127
  {
    
    Serial.print(bajt, BYTE);  //wyslanie znaku z wartoscia BYTE    
    Serial.print(", dec: ");   //wyslanie opisu wartosci DEC
    Serial.print(bajt);  //wyslanie znaku
    Serial.print(", hex: 0x");  //wyslanie opisu HEX 
    Serial.println(bajt, HEX);  //wyslanie wartosci w formie HEX
    bajt++;  //zwiekszenie o 1 wartosci zmiennej bajt 
  }
  while(1)  //poczatek nieskonczonej petli
  {
    if (Serial.available() > 0) {   //jesli odebrano bajt danych z interfejsu RS232 to
      bajt = Serial.read();  //odczyt odebranego znaku do zmiennej bajt
      Serial.print("dec: ");  //wysłanie opisu 
      Serial.print(bajt);   //wyslanie odebranego znaku
      Serial.print(", hex: 0x");  //wyslanie opisu HEX
      Serial.println(bajt, HEX); //wyslanie odebranego znaku w formie HEX
    }
  }
}


