//Obsługa wyświetlacza LCD

#include <LiquidCrystal.h>    //biblioteka obsługi LCD

LiquidCrystal lcd(8, 9, 4, 5, 6, 7);    //konfuguracja linii do ktorych został dołaczony LCD

int wart_temp=24;              //przykladowa zmienna z zapisana wartoscia temperatury

byte st[8] = {            //tablica znaku stopnia dla wyswietlacza LCD
  B00100,
  B01010,
  B00100,
  B00000,
  B00000,
  B00000,
  B00000,
};

void setup() {            //funkcja inicjalizacji
  lcd.begin(16, 2);        //konfiguracja rozdzielczosci wyswietlacza LCD
  lcd.createChar(0, st);  //funkcja utworzenia wlasnego znaku z tablicy st o kodzie 0
}
void loop() {                //petla glowna programu
 lcd.clear();              //czyszczenie LCD
 lcd.setCursor(2, 0);      //ustawienie kursora w 2 kolumnie pierwszego wiersza
 lcd.print("Arduino w EP");      //wyswietlenie na LCD napisu Arduino w EP
 lcd.setCursor(0, 1);      //ustawienie kursora w 1 kolumnie drugiego wiersza
 lcd.print("Temp: ");      //wyswietlenie na LCD napisu Temp:
 lcd.print(wart_temp);          //wyswietlenie wartosci zapisanej w zmiennej wart_temp
 lcd.write(0);                        //wyswietlenie wczesniej zdefiniowanego znaku stopnia
 lcd.print("C");                      //wyswietlenie znaku C
 lcd.setCursor(12, 1);            //ustawienie kursora w 12 kolumnie drugiego wiersza  
 lcd.cursor();                    //właczenie kursora
 lcd.blink();                     //włączenie migającego kursora
 while(1);  //nieskończona petla - zatrzymanie dzialania programu
}                                      //koniec petli glownie programu

